wampserver 2.5 下面添加其它 php 版本的方法简要

学习笔记 马富天 2019-07-16 14:52:49 11 2

【摘要】很久没有写关于 php 的文章了,由于我需要在本机上使用 composer 安装一些 php 的依赖,但是 wamp2.5 默认的php 版本是 5.5.12 ,而composer 中安装的部分依赖库需要 php 5.6 及以上版本,所以才有了这篇文章,记录一下步骤。整个过程大概折腾了一个下午才在 wampserver 2.5 下面增加 php5.6.36 版本,其实步骤很简单,主要就是把时间都花在了查找、下载 php5.6.36 在 windows 二进制版本资源上。

在 wampserver 2.5 中 php 的版本是 5.5.12 ,现在需要增加 5.6.36 版本的 php ,使得 wampserver 可以来回切换不同版本的 php 。步骤如下:

首先找到需要增加的 php 版本,下载地址(这个地址我找了特别久):

https://windows.php.net/downloads/releases/archives/请输入图片名称

本文选择 php5.6.36 版本的,如图所示,Win32 指系统是 windows 系统,ts指线性安全,nts指非线性安全,x64 指系统是 64 位的,

通常在 Windows 下 Apache + PHP 选TS ,IIS(fast-cgi) + PHP 选 TNS;在 Linux 下 Apache + PHP 选TS,Nginx + PHP 选TNS

请输入图片名称

故因此我们选择 php-5.6.36-Win32-VC11-x64.zip 这个文件,下载后放到 wamp 目录中,如:D:wampinphp,跟默认的 php5.5.12 保持一致即可。这里我们也可以使用 phpinfo() 打印出当前 php 版本中 PHP Extension Build 的信息:

请输入图片名称

然后进入 php5.5.12 目录下把 wampserver.conf 拷贝一份放到 php5.6.36 目录下:

请输入图片名称

第二步将 php5.6.36 目录下面的 php.ini-development 拷贝一份并重名为: phpForApache.ini,如图:

请输入图片名称

然后关闭 wamp ,再打开 wamp ,你就会发现在 php version 中多出一个可选择的版本:

请输入图片名称

这样我们就可以通过勾选来自如的切换 php 版本啦~

注意:一定要先彻底关闭 wamp,重新打开后才能打开新出来的版本,切换的时候有一定的等待时间,不要着急,假如着急导致来回点击太快,wamp会弹出报错的。

wamp 2.5 添加多版本之后,将会导致扩展不启用,因此,需要进行解决,解决办法是打开 wamp 中 php.ini 将找到 extension_dir = "D:/wamp/bin/php/php5.5.12/ext/" ,改成 extension_dir = "D:/wamp/bin/php/php5.6.36/ext/",之后重启 wamp 即可。

请输入图片名称

版权归 马富天PHP博客 所有

本文标题:《wampserver 2.5 下面添加其它 php 版本的方法简要》

本文链接地址:http://www.mafutian.net/425.html

转载请务必注明出处,小生将不胜感激,谢谢! 喜欢本文或觉得本文对您有帮助,请分享给您的朋友 ^_^

0

0

上一篇《 基于 session 的防止表单重复提交【 token 令牌机制】 》 下一篇《 SSH 本地端口转发和远程端口转发 》

所有评论

  1. 首页
  2. 上一页
  3. 1
  4. 下一页
  5. 尾页
  6. 第1页
  7. 每页12条
  8. 共1页
  9. 共2条
评论审核未开启
表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情 表情
验证码

TOP10

  • 浏览最多
  • 评论最多